--- old/usr/src/head/ucontext.h	Sat Aug  2 23:27:16 2014
+++ new/usr/src/head/ucontext.h	Sat Aug  2 23:27:16 2014
@@ -23,6 +23,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -48,8 +50,6 @@
 #endif
 #endif
 
-#if defined(__STDC__)
-
 extern int getcontext(ucontext_t *) __RETURNS_TWICE;
 #pragma unknown_control_flow(getcontext)
 extern int setcontext(const ucontext_t *) __NORETURN;
@@ -56,6 +56,7 @@
 extern int swapcontext(ucontext_t *_RESTRICT_KYWD,
 		const ucontext_t *_RESTRICT_KYWD);
 extern void makecontext(ucontext_t *, void(*)(), int, ...);
+
 #if !defined(_XPG4_2) || defined(__EXTENSIONS__)
 extern int walkcontext(const ucontext_t *, int (*)(uintptr_t, int, void *),
     void *);
@@ -70,30 +71,8 @@
 extern int stack_violation(int, const siginfo_t *, const ucontext_t *);
 
 extern void *_stack_grow(void *);
-#endif
-#else
+#endif	/* !_XPG4_2 || __EXTENSIONS__ */
 
-extern int getcontext() __RETURNS_TWICE;
-#pragma unknown_control_flow(getcontext)
-extern int setcontext();
-extern int swapcontext();
-extern void makecontext();
-#if !defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern int walkcontext();
-extern int printstack();
-extern int addrtosymstr();
-extern int getustack();
-extern int setustack();
-
-extern int stack_getbounds();
-extern int stack_setbounds();
-extern int stack_inbounds();
-extern int stack_violation();
-
-extern void *_stack_grow();
-#endif
-#endif
-
 #ifdef	__cplusplus
 }
 #endif
